Public Attributes | List of all members
ble_gap_per_sync_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Periodic advertising synchronization parameters. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gap_per_sync_param_t:
[legend]

## Public Attributes
uint16_t | skip
| Number of periodic advertising that can be skipped after a successful reception. More...
uint16_t | sync_to
| Synchronization timeout for the periodic advertising (in unit of 10ms between 100ms and 163.84s). More...
uint8_t | type
| Periodic synchronization type (see enum ble_gap_per_sync_type_t). More...
uint8_t | rsvd
| Reserved for future use. More...
ble_gap_period_adv_addr_cfg_t | adv_addr
| Address of advertiser with which synchronization has to be established(used only if use_pal is false). More...
bool | report_disable
| true to disable periodic advertising report, false to enable them by default. More...
uint8_t | cte_type
| Type of Constant Tone Extension device should sync on (. More...

## Detailed Description

Periodic advertising synchronization parameters.

Definition at line 709 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_addr

ble_gap_period_adv_addr_cfg_t ble_gap_per_sync_param_t::adv_addr

Address of advertiser with which synchronization has to be established(used only if use_pal is false).

Definition at line 716 of file ble_gapm.h.

## ◆ cte_type

uint8_t ble_gap_per_sync_param_t::cte_type

Type of Constant Tone Extension device should sync on (.

See also
  enum gap_sync_cte_type).

Definition at line 718 of file ble_gapm.h.

## ◆ report_disable

bool ble_gap_per_sync_param_t::report_disable

true to disable periodic advertising report, false to enable them by default.

Definition at line 717 of file ble_gapm.h.

## ◆ rsvd

uint8_t ble_gap_per_sync_param_t::rsvd

Reserved for future use.

Definition at line 715 of file ble_gapm.h.

## ◆ skip

uint16_t ble_gap_per_sync_param_t::skip

Number of periodic advertising that can be skipped after a successful reception.

Maximum authorized value is 499.

Definition at line 711 of file ble_gapm.h.

## ◆ sync_to

uint16_t ble_gap_per_sync_param_t::sync_to

Synchronization timeout for the periodic advertising (in unit of 10ms between 100ms and 163.84s).

Definition at line 713 of file ble_gapm.h.

## ◆ type

uint8_t ble_gap_per_sync_param_t::type

Periodic synchronization type (see enum ble_gap_per_sync_type_t).

Definition at line 714 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h